Subject: Re: consistent_free()

From: Dan Malek <[email-masked]>
Date: Fri, 14 Jun 2002 17:34:25 -0400

Tom Rini wrote:

> I'm not sure either.  __iounmap on ARM just is vfree() with the casts.

The issue is in consistent_free() they forcibly reset the Reserved
indicator on the pages.  I don't know why this is necessary.  It's
either due to the way they remap the pages during the allocation or
some change in the Linux VM that I haven't yet discovered :-)

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/